AutoCAD Inventor :: Turned Off Snap To End Point In Sketch Mode?
Oct 19, 2011Inventor 2010
Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings
Inventor 2010
Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings
I have a user and when he's in sketch mode he trys to draw a line but it keeps on snapping to a grid. Both snap and grid setting are switched off. I can't find any settings he has different from my own set-up so I'm finding it hard to fox this problem. FYI, this user is a bit of a problem and tends to change settings without even realising he's doing it.
He's using Inventor 2012.
Im using Inventor 2014 SP1 on a HP Z620 with 2 CPU - 16GB Ram.
Graphic card is a AMD Firepro W7000 4GB.
When i am rotating a big assembly 500+ it doesnt lag that much, but when i have a sketch turned on at the same time, the graphic lags extremely when rotating.
I have tried all the recommended drivers and the newest drivers and nothing changes.
I tried different hardware settings in inventor (Performance, Compability, Quality) and there is no difference.
I also tried to change the graphic Card with a Nvidia GTX 660.
It rotates much better (smooth) in big Assy than my firepro but it is having the same issue when having a sketch turned on.
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
I have a particularly bad habiit of wanting to dimension my parts off the datum planes. I even like to center most of my parts off the datums for placing them in assemblies. However to do this every time I start a sketch I have to show the datums and them Project Geometry after selecting the datums in the sketch. Is there a selection in the options to make the datums ALWAYS projected? Having to set them for EVERY sketch has become tedious. I have the settings set as follows. I am using 2012.
Inventor Premium 2013 SP1.1
Vault 2013- plain vanilla version
HP G71 notebook
celeron cpu w 4gb RAM and 64 bit system
Win 7 home premium
We recently had a draftsman that drew with snap on (he no longer works here), and now all the drawings he worked on have this setting turned on. I thought it would be as simple as opening up the drawings and either hitting F9 or clicking on the toggle to turn off snap. That doesn't seem to be the case. Snap mode seems to be tied to individual sheets, and every viewport. I have multiple sheets in a drawing and each sheet has multiple viewports. The last thing I want to do is open every drawing, click in every viewport on every sheet to turn off snap.
I have snapmode set to 0, but it will only turn it of in whatever sheet or viewport is active. I have to write a lisp routine that will go through every viewport on every sheet to set snapmode to 0?
The company I'm working for is moving toward standardising all plant designs. iLogic appears to be the best way for rapidly producing assemblies that keep to a standard.
My new task is to automate the adding of walkways (including hand rails) to large plants. My idea is that walkways would be added to the plant similar to how frame generator works. The draftsman would draw a sketch on a plane around the structure. He would then run a form (That looks like the frame generator form).He would select the lines, a rule would capture the length of that line, pattern the standard walkway along the line until the line intersection, add a corner walkway, and then pattern the straight walkways again.
1) I do not know the ilogic code in order to 'get' a length from the lines that the user selects.
2) how does one constrain the center line of a part to a sketch line.
The second idea I had to create the walkway is (without a sketch), was to have a form that has a dropdown list of all the standard walkway pieces. The form would work almost like adding a bolted connection to an assembly (e.g. bolt, washer, nut, washer, nut). The draftsman would for instance, choose an straight 800mm part, a 1200mm part, a corner(left), a 1200mm part. Each walkway assembly piece, would then be added to the main assembly in the correct order and constrained. BTW, is there any book with all the inventor iLogic code, function and uses? I have found myself pouring though so many forums and picking up bits and pieces, but no actual instruction.
When I use a tool such as 'move'/'select base point' in the sketch environment, I used to be able to select line midpoints.
Is this no longer possible? My constraint options seem to be fine.
Recently upgraded to 2013
Since switching over to Inventor 2012 I have been having trouble snapping to tangent points on a curve or circle to pull dimensions. I would do it manually but if the dimension is not referencing a specific point in the model it turns pink to identify an error.
Is there a setting that may be not allowing me to snap to tangent points?
I must not be the only one required to produce 2d dwg's for work.
I'm using INV 2009 and our vendor swears up and down in 2012 every thing is fixed, which somehow I doubt since they failed to fix the conversion from idw to dwg in the previous 12-13 releases.
Anyways, my problem today is that the dimiension lines I spent so much time making them meet our industry and company standards in my idw are all wrong in the dwg's I saved.
(please see attached).
Likely a simple question; I have completed a part and because I am new, drew it a certain way to make my life easier. Now that the part is complete I would like to rotate the entire part (but not create a new solid) by 45 deg.
Inventor 2014 PDS
Is it possible to disable that green "Finish sketch" and Ok button when your in sketch mode drawing with a Spline?
View 4 Replies View RelatedAutodesk for Inventor 2013, the ability to save while in sketch mode - if you're going to be spending a lot of design time sketching then this needs to be addressed so that the drawing is automatically saved. Otherwise if Inventor crashes (which it often does) while you're busy sketching away you loose your work.
Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)
How do I get rid of the yellow dot behind the cursor in sketch mode?
View 2 Replies View RelatedIs it possible to use the ""Centerline Bisector" command in the sketch enviroment. I want to add a centerline of a hole on a sketch on my part, but I only want to select two lines and have the centerline generated.
View 3 Replies View RelatedI know about the pink lines, green lines, and black line, but I recieved a part from another person and it had red lines for the sketch, how, what did he do to get those? He doesn't know how he did it.
View 8 Replies View RelatedHow does one (in sketch mode) dimension from the quad of a circle instead of the center? Been dealing with it for a long time, no I am fed up and want to dimension from the quad.
View 6 Replies View RelatedIn 5.3 I can create reference dimensions in sketch mode to my hearts content. They became very valuable as I would use them to determine placement of multiple features. Now, in IV 7, I have alot of trouble creating reference dimensions from adjacent features on the same surface. I have to change the way I'm working now and it has stumped me on a few occasions. is there a "new" feature I need to enable or is this the cost of progress?
View 9 Replies View RelatedI wonder if one can use drive constraint in sketch mode for blocks as I like to visualise how the links move when one dimension changes.
View 4 Replies View RelatedI am using Inventor 2012 and have recently experienced a problem with the fillet not working correctly. I have a curve and a straight line that connect and when I select fillet it will allow me to select the curve but not the straight line. I have been able to do this in the past with no problems.
View 4 Replies View RelatedHow do I change the dimension size in sketch mode?
View 4 Replies View RelatedSometimes when I'm exiting from a sketch, the entire model goes back to isometric view. Is there a way to STOP this from happening?
View 9 Replies View RelatedSometimes corner snaps in sketch mode will turn off. why does this happen and how do I fix it?
View 1 Replies View RelatedI'd like to be able to vastly increase the size of the triad in the 3D Sketch environment - when sketching the triad is tiny and does not increase in size when zooming, this makes snapping to its planes extremely difficult.
Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)
How do I increase the size of the text of dimensions in sketch mode.
View 4 Replies View RelatedWouldn't be nice if you could use part parameters (description, part number, etc...) in the sketch mode text tool?
I'd like to emboss the actual part number on a part without having to retype the part number in manually.
I was giving a hand drawn wiring diagram (original.jpg) and it is a rats nest!!
I was asked to re-draw this and put it on our drawing template.
I have the plugs and terminal blocks drawn up and now I am about to attempt to add in the wires, but the sketch is so filled with dimension lines and values, it is going to be a task to try and make sure every line I draw is correct. This would be much easier to do if the dimensions could be turned off as the wires I am drawing will not be constrained.
I don't think there is layers options inside a sketch mode, or a if i start a new sketch I don't think I can project that sketch to the new one?
The only other options I can think of was to delete all dimensions and apply FIX constraint to everything! or
I guess I could have modeled the plugs and blocks in position and added them to the drawing, projected the geometry to a new sketch and added in my wires??
There must be someway to toggle the dimensions??
Inventor Professional 2014-Update 2 - AutoCAD Electrical 2014
Win7-x64 | ASUS P8Z77-V | i7 3770 -3.4 GHz | 32GB RAM |
240GB SSD | nVidia GTX 670 4GB - 320.49
I use 3D sketching frequently as a means to generate frames with the frame generator.
I notice that the constrain group no longer contains an equal length tool, as in a simple 2D sketch. This is where i would generally select two lines, and constrain them to be equal in length.
Is there a reason for this omission? Should I be worried that my menus are not showing the full options for constraints?
I use vb.net draw a cube frame (just point and add edge to link points) in 3dsketch. But at the corner, I got only one edge, the others are filled that is a arc is inserted between the 2nd & 3rd edge to the corner point. There is no second edge is extended to that point.
Just wondering why I got the result. There is no fillet command in my code.
I want to concide two points of two different lines.These two lines have been created in two different workplanes with 2D sketch.
View 7 Replies View RelatedI'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."
Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX